Trigger a job run

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

namestringRequired

Request

This endpoint expects an object.
version_idstring or nullOptionalformat: "uuid"

Deployed version to run; defaults to latest

regionstring or nullOptional
Compute region override
paramsmap from strings to anyOptional

Run-time parameter values (validated against [job.params])

Response

Successful Response
idstringformat: "uuid"
job_namestring
job_version_idstringformat: "uuid"
statusstring
regionstring or null
run_paramsmap from strings to any
result_payloadmap from strings to any or null
step_timelinelist of objects
artifact_refslist of objects
started_atdatetime or null
completed_atdatetime or null
error_messagestring or null
created_atdatetime
error_codestring or nullOptional
error_detailsmap from strings to any or nullOptional

Errors

422
Unprocessable Entity Error